## konqueror 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "5")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(Konqueror VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.101.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)

include(FeatureSummary)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)

set(KONQUEROR_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
set(KONQUEROR_VERSION "${KONQUEROR_LIB_VERSION}")

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets WebEngineWidgets X11Extras)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Parts KCMUtils Archive Crash WindowSystem Init IconThemes DBusAddons GuiAddons)

find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS Activities DocTools) # Optional

add_definitions(
    -DQT_USE_QSTRINGBUILDER
)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include (CheckSymbolExists)
check_symbol_exists(mallinfo        "malloc.h"                 KDE_MALLINFO_MALLOC)
check_symbol_exists(mallinfo        "stdlib.h"                 KDE_MALLINFO_STDLIB)
# TODO KDE_MALLINFO_FIELD_hblkhd
# TODO KDE_MALLINFO_FIELD_uordblks
# TODO KDE_MALLINFO_FIELD_usmblks
configure_file (config-konqueror.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konqueror.h )

configure_file (konqueror-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/konqueror-version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory( libkonq )
add_subdirectory( src )
add_subdirectory( client )
if(BUILD_TESTING)
    add_subdirectory( autotests )
endif()
add_subdirectory( webenginepart )

add_subdirectory( pics )
add_subdirectory( sidebar )
add_subdirectory( settings )
add_subdirectory( plugins )

if (KF5DocTools_FOUND)
    add_subdirectory( doc )
endif()

set(DEVELOPER_MODE false CACHE BOOL "Enables developer mode, which allows running separate instances of Konqueror")

########### install files ###############
install( PROGRAMS
   kfmclient.desktop kfmclient_html.desktop kfmclient_war.desktop kfmclient_dir.desktop
   konqbrowser.desktop
   DESTINATION  ${KDE_INSTALL_APPDIR} )
install(FILES org.kde.konqueror.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# Make sure kfmclient can find konqueror.desktop even if people remove it from the K menu (#62242)
# This is why konqueror.desktop is installed into services.
install( FILES org.kde.konqueror.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
# On Wayland the icon to use for the main window is read from the desktop file, which needs
# to be in the applications directory, so it needs to be installed there, too (bug #452149)
install( FILES org.kde.konqueror.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )

install(FILES konqy_preload.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

install(FILES konqueror.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
if(BUILD_TESTING)
    # only with this definition will the KONQ_TESTS_EXPORT macro do something
    add_definitions(-DBUILD_TESTING)

    add_subdirectory( tests )
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"konqueror\")

########### libkonquerorprivate, shared with unit tests and sidebar modules ###############

set(konquerorprivate_SRCS
   konqhistorymanager.cpp # for unit tests
   konqpixmapprovider.cpp # needed ?!?

   # for the sidebar history module
   konqhistorymodel.cpp
   ksortfilterproxymodel.cpp
   konqhistoryproxymodel.cpp
   konqhistoryview.cpp
   konqhistorysettings.cpp
   konqurl.cpp
)

ecm_qt_declare_logging_category(konquerorprivate_SRCS HEADER konqdebug.h IDENTIFIER KONQUEROR_LOG CATEGORY_NAME org.kde.konqueror)

add_library(konquerorprivate SHARED ${konquerorprivate_SRCS})
target_link_libraries(konquerorprivate
   KF5::I18n
   KF5::IconThemes
   KF5::Konq
   KF5::Parts
   KF5::KIOGui
   Qt5::X11Extras
)

set_target_properties(konquerorprivate PROPERTIES VERSION ${KONQUEROR_LIB_VERSION} SOVERSION "5" )
install(TARGETS konquerorprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

generate_export_header(konquerorprivate BASE_NAME konquerorprivate EXPORT_FILE_NAME konquerorprivate_export.h)

########### konqueror ###############

set(konqueror_KDEINIT_SRCS
   konqapplication.cpp
   konqdebug.cpp
   konqguiclients.cpp
   konqbookmarkmenu.cpp
   konqview.cpp
   konqviewmanager.cpp
   konqmouseeventfilter.cpp
   konqmisc.cpp
   konqdraggablelabel.cpp
   konqframe.cpp
   konqframevisitor.cpp
   konqframestatusbar.cpp
   konqframecontainer.cpp
   ktabbar.cpp
   ktabwidget.cpp
   konqtabs.cpp
   konqactions.cpp
   konqsessiondlg.cpp
   konqfactory.cpp
   konqcombo.cpp
   delayedinitializer.cpp
   konqanimatedlogo.cpp
   konqmainwindow.cpp
   konqmainwindowfactory.cpp
   konqextensionmanager.cpp
   konqbookmarkbar.cpp
   KonquerorAdaptor.cpp
   KonqMainWindowAdaptor.cpp
   KonqViewAdaptor.cpp
   konqundomanager.cpp
   konqclosedwindowsmanager.cpp
   konqsessionmanager.cpp
   konqcloseditem.cpp
   konqhistorydialog.cpp
   konqstatusbarmessagelabel.cpp
   konqurl.cpp
   konqbrowserinterface.cpp
   urlloader.cpp
   konqsettings.cpp
   pluginmetadatautils.cpp
)

kconfig_add_kcfg_files(konqueror_KDEINIT_SRCS konqsettingsxt.kcfgc)
ki18n_wrap_ui(konqueror_KDEINIT_SRCS konqsessiondlg_base.ui)
ki18n_wrap_ui(konqueror_KDEINIT_SRCS konqnewsessiondlg_base.ui)
qt5_add_resources(konqueror_KDEINIT_SRCS konqueror.qrc)

qt5_add_dbus_interface(konqueror_KDEINIT_SRCS org.kde.Konqueror.Main.xml konqueror_interface)
qt5_add_dbus_adaptor(konqueror_KDEINIT_SRCS org.kde.Konqueror.UndoManager.xml konqclosedwindowsmanager.h KonqClosedWindowsManager konqclosedwindowsmanageradaptor KonqClosedWindowsManagerAdaptor)
qt5_add_dbus_interface(konqueror_KDEINIT_SRCS org.kde.Konqueror.UndoManager.xml konqclosedwindowsmanager_interface)
qt5_add_dbus_adaptor(konqueror_KDEINIT_SRCS org.kde.Konqueror.SessionManager.xml konqsessionmanager.h KonqSessionManager konqsessionmanageradaptor KonqSessionManagerAdaptor)
qt5_add_dbus_interface(konqueror_KDEINIT_SRCS org.kde.Konqueror.SessionManager.xml konqsessionmanager_interface)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../pics/*-apps-konqueror.png")
ecm_add_app_icon(konqueror_KDEINIT_SRCS ICONS ${ICONS_SRCS})
kf5_add_kdeinit_executable(konqueror ${konqueror_KDEINIT_SRCS} konqmain.cpp)
target_link_libraries(kdeinit_konqueror
   konquerorprivate
   KF5::Archive
   KF5::KCMUtils
   KF5::Konq
   KF5::Parts
   KF5::DBusAddons
   KF5::Crash
   KF5::WindowSystem
   KF5::SonnetUi
)

if (KF5Activities_FOUND)
  target_link_libraries(kdeinit_konqueror KF5::Activities)
  target_compile_definitions(kdeinit_konqueror PUBLIC KActivities_FOUND)
endif (KActivities_FOUND)

if (NOT WIN32)
    install(TARGETS kdeinit_konqueror  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
endif (NOT WIN32)
install(TARGETS konqueror ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############
install( FILES konqueror.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
install( FILES org.kde.Konqueror.Main.xml org.kde.Konqueror.MainWindow.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} )

=== libkonq/autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)


set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )


########### konqpopupmenutest ###############

ecm_add_tests(
   konqpopupmenutest.cpp
   LINK_LIBRARIES KF5Konq Qt5::Test
)

############################################

=== libkonq/src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libkonq\")

########### libkonq ###############

set(konq_LIB_SRCS
   konq_popupmenu.cpp       # now only used by konqueror, could move there
   konq_events.cpp
   konq_historyentry.cpp
   konq_historyloader.cpp
   konq_historyprovider.cpp   # konqueror and konqueror/sidebar
   konq_spellcheckingconfigurationdispatcher.cpp #konqueror and webenginepart
   konq_kpart_plugin.cpp
   asyncselectorinterface.cpp
)

ecm_qt_declare_logging_category(konq_LIB_SRCS HEADER libkonq_debug.h IDENTIFIER LIBKONQ_LOG CATEGORY_NAME org.kde.libkonq)

add_library(KF5Konq ${konq_LIB_SRCS})

generate_export_header(KF5Konq BASE_NAME libkonq EXPORT_FILE_NAME libkonq_export.h)

add_library(KF5::Konq ALIAS KF5Konq)

target_link_libraries(KF5Konq
    PUBLIC
    KF5::XmlGui
    KF5::ConfigCore
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::CoreAddons
    KF5::Service
    KF5::Parts
    Qt5::WebEngineWidgets
    PRIVATE
    KF5::Bookmarks
    KF5::I18n
    ${ZLIB_LIBRARY}
)

# For crc32 in konq_historyloader.cpp
target_include_directories(KF5Konq PRIVATE ${ZLIB_INCLUDE_DIR})


set_target_properties(KF5Konq PROPERTIES
    VERSION ${KONQ_VERSION}
    SOVERSION ${KONQ_SOVERSION}
    EXPORT_NAME Konq
)

install(TARGETS KF5Konq EXPORT KF5KonqTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES directory_bookmarkbar.desktop DESTINATION ${KDE_INSTALL_DATADIR_KF5}/kbookmark)
install(FILES
    konq_events.h
    konq_historyentry.h
    konq_historyprovider.h
    konq_popupmenu.h
    konq_kpart_plugin.h
    ${LibKonq_BINARY_DIR}/src/libkonq_export.h
    asyncselectorinterface.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
    COMPONENT Devel
)

=== plugins/khtmlsettingsplugin/CMakeLists.txt ===




########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"khtmlsettingsplugin\")

set(khtmlsetting_VERSION 3.3)

configure_file(khtmlsettingsplugin.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/khtmlsettingsplugin.desktop)

set(khtmlsettingsplugin_PART_SRCS settingsplugin.cpp )

add_library(khtmlsettingsplugin MODULE ${khtmlsettingsplugin_PART_SRCS})
kcoreaddons_desktop_to_json(khtmlsettingsplugin ${CMAKE_CURRENT_BINARY_DIR}/khtmlsettingsplugin.desktop)


target_link_libraries(khtmlsettingsplugin KF5::I18n KF5::Parts KF5Konq)

konqueror_install_plugin_in_namespaces(khtmlsettingsplugin)

=== plugins/searchbar/CMakeLists.txt ===
project (searchbar)
add_definitions(-DTRANSLATION_DOMAIN=\"searchbarplugin\")

add_subdirectory( icons )

########### next target ###############

set(searchbarplugin_PART_SRCS
    searchbar.cpp
    SuggestionEngine.cpp
    WebShortcutWidget.cpp)
ecm_qt_declare_logging_category(searchbarplugin_PART_SRCS HEADER searchbar_debug.h IDENTIFIER SEARCHBAR_LOG CATEGORY_NAME org.kde.konqueror.searchbar)

add_library(searchbarplugin MODULE ${searchbarplugin_PART_SRCS})

kcoreaddons_desktop_to_json(searchbarplugin searchbar.desktop)
target_link_libraries(searchbarplugin KF5::I18n KF5::TextWidgets KF5::Parts KF5Konq)

install(TARGETS searchbarplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/konqueror/kpartplugins)
install(FILES searchbarplugin.rc DESTINATION ${KDE_INSTALL_DATADIR}/konqueror/partsrcfiles)

=== plugins/ttsplugin/CMakeLists.txt ===
########### khtmlttsplugin ###############
add_definitions(-DTRANSLATION_DOMAIN=\"khtmltts\")
set(khtmlttsplugin_PART_SRCS khtmltts.cpp )

add_library(khtmlttsplugin MODULE ${khtmlttsplugin_PART_SRCS})

kcoreaddons_desktop_to_json(khtmlttsplugin khtmltts.desktop)
target_link_libraries(khtmlttsplugin KF5::I18n KF5::Parts Qt5::TextToSpeech KF5Konq)

konqueror_install_plugin_in_namespaces(khtmlttsplugin)

=== plugins/uachanger/CMakeLists.txt ===
########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"uachangerplugin\")
set(uachangerplugin_PART_SRCS uachangerplugin.cpp )

add_library(uachangerplugin MODULE ${uachangerplugin_PART_SRCS})

kcoreaddons_desktop_to_json(uachangerplugin uachangerplugin.desktop)
target_link_libraries(uachangerplugin KF5::I18n KF5::Parts KF5Konq Qt::WebEngineWidgets kwebenginepartlib)

konqueror_install_plugin_in_namespaces(uachangerplugin)

=== settings/bookmarks/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"kcmbookmarks\")

########### next target ###############

set(kcm_bookmarks_PART_SRCS
    bookmarks.cpp)

ki18n_wrap_ui(kcm_bookmarks_PART_SRCS
    bookmarks.ui)

kcoreaddons_add_plugin(kcm_bookmarks SOURCES ${kcm_bookmarks_PART_SRCS} INSTALL_NAMESPACE konqueror_kcms)
kcoreaddons_desktop_to_json(kcm_bookmarks bookmarks.desktop)
target_link_libraries(kcm_bookmarks KF5::KCMUtils KF5::KIOCore KF5::I18n KF5::GuiAddons)

#TODO: replace with kcmutils_generate_desktop_file(bookmarks) once the .desktop file has been replaced by the corresponding json file
install(FILES bookmarks.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== settings/konqhtml/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmkonqhtml\")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/css
    )


set(kcm_konqhtml_PART_SRCS 
   generalopts.cpp
   htmlopts.cpp 
   jsopts.cpp 
   javaopts.cpp 
   appearance.cpp 
   policydlg.cpp 
   main.cpp 
   jspolicies.cpp 
   policies.cpp 
   domainlistview.cpp 
   filteropts.cpp
   css/template.cpp
   css/kcmcss.cpp
   cache/cache.cpp
   useragent/useragent.cpp
   )

ki18n_wrap_ui(kcm_konqhtml_PART_SRCS
    advancedTabOptions.ui
    css/csscustom.ui
    css/cssconfig.ui
    cache/cache.ui
    useragent/useragent.ui
    )

add_library(kcm_konqhtml_static STATIC ${kcm_konqhtml_PART_SRCS})
target_link_libraries(kcm_konqhtml_static KF5::I18n KF5::ConfigWidgets KF5::TextWidgets KF5::Parts KF5::ItemViews Qt5::WebEngineWidgets)

kcoreaddons_add_plugin(khtml_general SOURCES plugins/khtml_general.cpp INSTALL_NAMESPACE konqueror_kcms)
kcoreaddons_desktop_to_json(khtml_general khtml_general.desktop)
target_link_libraries(khtml_general kcm_konqhtml_static)

kcoreaddons_add_plugin(khtml_behavior SOURCES plugins/khtml_behavior.cpp INSTALL_NAMESPACE konqueror_kcms)
kcoreaddons_desktop_to_json(khtml_behavior khtml_behavior.desktop)
target_link_libraries(khtml_behavior kcm_konqhtml_static)

kcoreaddons_add_plugin(khtml_java_js SOURCES plugins/khtml_java_js.cpp INSTALL_NAMESPACE konqueror_kcms)
kcoreaddons_desktop_to_json(khtml_java_js khtml_java_js.desktop)
target_link_libraries(khtml_java_js kcm_konqhtml_static)

kcoreaddons_add_plugin(khtml_appearance SOURCES plugins/khtml_appearance.cpp INSTALL_NAMESPACE konqueror_kcms)
kcoreaddons_desktop_to_json(khtml_appearance khtml_appearance.desktop)
target_link_libraries(khtml_appearance kcm_konqhtml_static)

kcoreaddons_add_plugin(khtml_filter SOURCES plugins/khtml_filter.cpp INSTALL_NAMESPACE konqueror_kcms)
kcoreaddons_desktop_to_json(khtml_filter khtml_filter.desktop)
target_link_libraries(khtml_filter kcm_konqhtml_static)

kcoreaddons_add_plugin(khtml_cache SOURCES plugins/khtml_cache.cpp INSTALL_NAMESPACE konqueror_kcms)
kcoreaddons_desktop_to_json(khtml_cache cache/khtml_cache.desktop)
target_link_libraries(khtml_cache kcm_konqhtml_static)

kcoreaddons_add_plugin(khtml_useragent SOURCES plugins/khtml_useragent.cpp INSTALL_NAMESPACE konqueror_kcms)
kcoreaddons_desktop_to_json(khtml_useragent useragent/khtml_useragent.desktop)
target_link_libraries(khtml_useragent kcm_konqhtml_static)

install( FILES css/template.css  DESTINATION  ${KDE_INSTALL_DATADIR}/kcmcss )
install(FILES useragent/useragenttemplatesrc DESTINATION ${KDE_INSTALL_CONFDIR})

=== webenginepart/src/CMakeLists.txt ===
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Wallet)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Notifications )
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Sonnet)

find_package(Hunspell)

add_definitions(-DTRANSLATION_DOMAIN=\"webenginepart\")

if(BUILD_TESTING)
  add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

#Before Qt 5.15.5 QtWebEngineView didn't allow opening a remote URL by dropping it
#on the view itself, so WebEngineView needed to handle that itself.
if(Qt5WebEngineWidgets_VERSION VERSION_LESS "5.15.5")
  add_definitions(-DREMOTE_DND_NOT_HANDLED_BY_WEBENGINE)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR})

set(kwebenginepartlib_LIB_SRCS
    webenginepart.cpp
    webenginepart_ext.cpp
    webengineview.cpp
    webenginepage.cpp
    websslinfo.cpp
    webhistoryinterface.cpp
    webenginepartdownloadmanager.cpp
    webenginewallet.cpp
    webengineparterrorschemehandler.cpp
    webenginepartkiohandler.cpp
    webenginepartcookiejar.cpp
    settings/webenginesettings.cpp
    settings/webengine_filter.cpp
    ui/searchbar.cpp
    ui/passwordbar.cpp
    ui/featurepermissionbar.cpp
    about/konq_aboutpage.cpp
    webenginecustomizecacheablefieldsdlg.cpp
    webfieldsdataview.cpp
    ui/credentialsdetailswidget.cpp
    webengineurlrequestinterceptor.cpp
    spellcheckermanager.cpp
    webenginepartcontrols.cpp
    webenginepartcertificateerrordlg.cpp
    certificateerrordialogmanager.cpp
    navigationrecorder.cpp
    choosepagesaveformatdlg.cpp
)

ki18n_wrap_ui(kwebenginepartlib_LIB_SRCS webenginecustomizecacheablefieldsdlg.ui ui/credentialsdetailswidget.ui webenginepartcertificateerrordlg.ui choosepagesaveformatdlg.ui)

qt5_add_resources(kwebenginepartlib_LIB_SRCS webenginepart.qrc)

qt5_wrap_ui(kwebenginepartlib_LIB_SRCS
                  ui/searchbar.ui
)
ecm_qt_declare_logging_category(kwebenginepartlib_LIB_SRCS
    HEADER webenginepart_debug.h
    IDENTIFIER WEBENGINEPART_LOG
    CATEGORY_NAME org.kde.webenginepart
)
add_library(kwebenginepartlib ${kwebenginepartlib_LIB_SRCS})

generate_export_header(kwebenginepartlib)

target_link_libraries(kwebenginepartlib
    PUBLIC
        Qt5::Core
        Qt5::DBus
        Qt5::Gui
        Qt5::Widgets
        Qt5::WebEngineWidgets
        KF5::Parts
        KF5::Wallet
        KF5::Notifications
        KF5::KIOWidgets
        KF5::Konq
    PRIVATE
        KF5::I18n
        Qt5::PrintSupport
        KF5::SonnetCore
        KF5::IconThemes #for KIconLoader used by WebEnginePartErrorSchemeHandler
        KF5::WindowSystem  # for KUserTimestamp
        KF5::SonnetUi
)

target_include_directories(kwebenginepartlib PUBLIC
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/>"
)
set_target_properties(kwebenginepartlib PROPERTIES OUTPUT_NAME kwebenginepart)

install(TARGETS kwebenginepartlib ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


add_library(webenginepart MODULE webenginepartfactory.cpp)
kcoreaddons_desktop_to_json(webenginepart webenginepart.desktop)


target_link_libraries(webenginepart kwebenginepartlib)

install(TARGETS webenginepart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)

install(FILES webenginepart.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

install(FILES webenginepart.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/webenginepart)

install(FILES error.html DESTINATION ${KDE_INSTALL_DATADIR}/webenginepart)

install(FILES settings/kconf_update/webenginepart.upd DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

set(USE_SYSTEM_DICTIONARIES 0 CACHE BOOL "Don't build QtWebEngine dictionaries but use the system ones")
if((NOT USE_SYSTEM_DICTIONARIES) AND Hunspell_FOUND)
  set(WEBENGINEPART_OWN_DICTIONARY_DIR ${CMAKE_INSTALL_PREFIX}/share/konqueror/webengine_dictionaries CACHE PATH "The directory where dictionary files built for WebEnginePart will be installed")
  add_compile_definitions(WEBENGINEPART_OWN_DICTIONARY_DIR="${WEBENGINEPART_OWN_DICTIONARY_DIR}")
  target_compile_definitions(kdeinit_konqueror PUBLIC WEBENGINEPART_OWN_DICTIONARY_DIR="${WEBENGINEPART_OWN_DICTIONARY_DIR}")

  #COMPILE HUNSPELL DICTIONARIES AS BDIC FILES
  find_package(WebEngineDictConverter)
  if (WebEngineDictConverter_FOUND)
    #Iterate on all dictionaries
    foreach(D ${Hunspell_UNIQUE_DICTIONARIES})
      get_filename_component(base_name ${D} NAME)
      #Full name of the file to create
      set(BDIC_name ${CMAKE_CURRENT_BINARY_DIR}/${base_name}.bdic)
      #Name of the target to create
      set(BDIC_target_name ${base_name}.bdic_target)
      #Check that both .dic and .aff files exist for the given dictionary, otherwise the conversion tool will fail
      if (EXISTS ${D}.dic AND EXISTS ${D}.aff)
        add_custom_command(
          OUTPUT ${BDIC_name}
          COMMAND ${WebEngineDictConverter_EXECUTABLE} ${D} ${BDIC_name}
        )
        #Install the bdic file
        install(FILES ${BDIC_name} DESTINATION ${WEBENGINEPART_OWN_DICTIONARY_DIR})
        #Create a new target which depends on the file
        add_custom_target(${BDIC_target_name} DEPENDS ${BDIC_name})
        #Add the new target as dependency to kwebenginepartlib, otherwise the dictionaries won't be built
        add_dependencies(kwebenginepartlib ${BDIC_target_name})
      endif()
    endforeach()
  endif()
endif()


add_subdirectory(about)

=== plugins/fsview/tests/CMakeLists.txt ===
include (ECMMarkAsTest)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. )
include_directories( ${CMAKE_CURRENT_BINARY_DIR}/.. )

########### next target ###############

set(libfsview_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/../treemap.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../fsview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../scan.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../inode.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../fsviewdebug.cpp
    )


set(scantest_SRCS scantest.cpp ${libfsview_SRCS})

add_executable(scantest ${scantest_SRCS})
ecm_mark_as_test(scantest)

target_link_libraries(scantest KF5::KIOCore KF5::IconThemes KF5::I18n KF5::ConfigCore KF5::WidgetsAddons Qt5::Widgets)

=== debian/changelog ===
konqueror (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:37:14 +0000

konqueror (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:11:57 +0000

konqueror (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:09:58 -0700

konqueror (4:23.08.4-0ubuntu5) noble; urgency=medium

  * Remove duplicate dh_auto_install. 

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 10 Feb 2024 03:33:19 -0700

konqueror (4:23.08.4-0ubuntu4) noble; urgency=medium

  * Fix rules overidde for apparmor.

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 10 Feb 2024 02:50:12 -0700

konqueror (4:23.08.4-0ubuntu3) noble; urgency=medium

  * Release to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 10 Feb 2024 02:22:35 -0700

konqueror (4:23.08.4-0ubuntu2) noble; urgency=medium

  * Add apparmor profile to fix userns. Ref: LP:2046844 
  * Release to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Feb 2024 02:04:48 -0700

=== debian/control ===
Source: konqueror
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-exec,
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               kinit-dev (>= 5.91.0~),
               libkf5activities-dev (>= 5.91.0~),
               libkf5archive-dev (>= 5.91.0~),
               libkf5bookmarks-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5doctools-dev (>= 5.91.0~),
               libkf5guiaddons-dev (>= 5.91.0~),
               libkf5i18n-dev,
               libkf5iconthemes-dev (>= 5.91.0~),
               libkf5jobwidgets-dev,
               libkf5kcmutils-dev (>= 5.91.0~),
               libkf5kio-dev (>= 5.37.0~),
               libkf5notifications-dev (>= 5.91.0~),
               libkf5parts-dev (>= 5.91.0~),
               libkf5sonnet-dev (>= 5.91.0~),
               libkf5su-dev,
               libkf5textwidgets-dev,
               libkf5wallet-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               libkf5xmlgui-dev,
               libqt5texttospeech5-dev (>= 5.12.0~),
               libqt5webkit5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               qtscript5-dev,
               qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 armhf i386 mips64el mipsel],
               zlib1g-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/konqueror
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror

Package: konq-plugins
Architecture: any
Depends: konqueror (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Enhances: konqueror
Recommends: imagemagick
Breaks: kget (<< 4:22.12.0-1)
Replaces: kget (<< 4:22.12.0-1)
Description: plugins for Konqueror, the KDE file/web/document browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for KDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Web navigation plugins:
  - Akregator feed icon: allows one to add a feed to Akregator from Konqueror
  - Auto Refresh: refresh a webpage at a given rate
  - Bookmarklets: enables the use of bookmarklets, bookmarks containing
    JavaScript code
  - Document Relations: displays the document relations of a document
  - DOM Tree Viewer: view the DOM tree of the current page
  - KHTML Settings: fast way to change the JavaScript/images/cookies settings
  - Microformat Icon: displays an icon in the statusbar if the page contains
    a microformat
  - Search Bar: launches web searches from the Konqueror's toolbar
  - Translate: language translation for the current page using Babelfish
  - UserAgent Changer: quick switch of the UserAgent used for the current site
  - Website Validators: CSS and HTML validation tools
  - Web Archiver: creates archives of websites
  - Crash manager: restores your opened tabs if Konqueror crashes (disabled
    by default as Konqueror has this feature builtin)
 .
 File management plugins:
  - Image Gallery: an easy way to generate a HTML image gallery
  - File Size View (kpart): a proportional view of directories and files
    based on file size
  - Transform Image (service menu): rotate and flip images
  - Convert To (service menu): convert and image to another format
  - Directory Filter (dolphin): filter directory views
 .
 This package is part of the KDE base applications module.

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser
Depends: dolphin, install-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: kfind
Suggests: konq-plugins, apparmor
Description: advanced file manager, web browser and document viewer
 Konqueror is the KDE web browser and advanced file manager.
 .
 Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
 JavaScript, CSS3, and Netscape plugins such as Flash.
 .
 It supports advanced file management on local UNIX filesystems, with flexible
 views, network transparency, and embedded file viewing.
 .
 It is the canvas for many KDE technologies, from remote file access via KIO to
 component embedding via the KParts object interface, making it one of the most
 customizable applications available.
 .
 This package is part of the KDE base applications module.

Package: libkf5konq-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5konq6 (= ${binary:Version}),
         libkf5xmlgui-dev,
         ${misc:Depends},
Description: development files for the Konqueror libraries
 This package contains development files for building software that uses the
 Konqueror libraries.
 .
 This package is part of the KDE base applications module.

Package: libkf5konq6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: core libraries for Konqueror
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_install:
	mkdir -p debian/tmp/etc/apparmor.d
	cp debian/konqueror-apparmor debian/tmp/etc/apparmor.d/usr.bin.konqueror
	dh_auto_install
	dh_apparmor --profile-name=usr.bin.konqueror -pkonqueror

execute_after_dh_auto_install:
	# do not ship the development files for konqsidebarplugin, for now
	rm -f debian/tmp/usr/include/konqsidebarplugin.h
	rm -f debian/tmp/usr/lib/*/libkonqsidebarplugin.so

## konqueror 24.08.2

=== debian/changelog ===
konqueror (4:24.08.2-2ubuntu1) plucky; urgency=medium

  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 13:21:43 +0000

konqueror (4:24.08.2-2) plucky; urgency=medium

  [ Aurélien COUDERC ]
  * Update project homepage.

  [ Simon Quigley ]
  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:57:52 -0500

konqueror (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Build against Qt6 / KF6, update build-deps and deps with the info from
    cmake.
  * Refresh patch making QtWebEngine optional for Qt6.
  * Adapt packaging to upstream soname bumps, package new
    libkf6konqsettings7 library, update the list of installed files.
  * Split architecture-independent data files and documentation into
    their own packages.
  * Refresh lintian overrides.
  * Review copyright information.
  * Switch away from transitional pkg-config build dependency.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 21 Oct 2024 09:35:26 +0200

konqueror (4:23.08.5-0ubuntu7) oracular; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 11 Jul 2024 08:33:56 -0700

konqueror (4:23.08.5-0ubuntu6) oracular; urgency=medium

  * Allow all apparmor following other profiles. 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 24 May 2024 08:09:21 -0700

konqueror (4:23.08.5-0ubuntu5) oracular; urgency=medium

  * Include tunables/multiarch.d to allow for variable

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 22 May 2024 06:44:43 -0700

konqueror (4:23.08.5-0ubuntu4) oracular; urgency=medium

  * Set @{multiarch} rather than hard code path. (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 16 May 2024 07:20:42 -0700

konqueror (4:22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Remove 2 obsolete maintscript entries in 2 files.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Jul 2023 22:46:25 +0200

## konqueror 24.12.0

=== debian/changelog ===
konqueror (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 22:55:38 +0100

konqueror (4:24.08.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update project homepage.
  * Add breaks/replaces against versions of kio-extras-data also
    shipping /usr/share/kio_bookmarks/kio_bookmarks.css.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 12:12:37 +0100

=== debian/control ===
Source: konqueror
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf5,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6archive-dev,
               libkf6bookmarks-dev,
               libkf6codecs-dev,
               libkf6completion-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6dbusaddons-dev,
               libkf6doctools-dev,
               libkf6guiaddons-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6jobwidgets-dev,
               libkf6kcmutils-dev,
               libkf6kio-dev,
               libkf6notifications-dev,
               libkf6parts-dev,
               libkf6sonnet-dev,
               libkf6su-dev,
               libkf6textwidgets-dev,
               libkf6wallet-dev,
               libkf6windowsystem-dev,
               libkf6xmlgui-dev,
               libplasmaactivities-dev,
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.4.0~),
               qt6-webengine-dev (>= 6.4.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/konqueror
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konqueror
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konqueror.git

Package: konq-plugins
Architecture: any
Depends: konqueror (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
Enhances: konqueror,
Recommends: imagemagick,
Breaks: kget (<< 4:22.12.0-1), kio-extras-data (<< 4:24.08.0~),
Replaces: kget (<< 4:22.12.0-1), kio-extras-data (<< 4:24.08.0~),
Description: plugins for Konqueror, the KDE file/web/document browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for KDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Web navigation plugins:
  - Akregator feed icon: allows one to add a feed to Akregator from Konqueror
  - Auto Refresh: refresh a webpage at a given rate
  - Bookmarklets: enables the use of bookmarklets, bookmarks containing
    JavaScript code
  - Document Relations: displays the document relations of a document
  - DOM Tree Viewer: view the DOM tree of the current page
  - KHTML Settings: fast way to change the JavaScript/images/cookies settings
  - Microformat Icon: displays an icon in the statusbar if the page contains
    a microformat
  - Search Bar: launches web searches from the Konqueror's toolbar
  - Translate: language translation for the current page using Babelfish
  - UserAgent Changer: quick switch of the UserAgent used for the current site
  - Website Validators: CSS and HTML validation tools
  - Web Archiver: creates archives of websites
  - Crash manager: restores your opened tabs if Konqueror crashes (disabled
    by default as Konqueror has this feature builtin)
 .
 File management plugins:
  - Image Gallery: an easy way to generate a HTML image gallery
  - File Size View (kpart): a proportional view of directories and files
    based on file size
  - Transform Image (service menu): rotate and flip images
  - Convert To (service menu): convert and image to another format
  - Directory Filter (dolphin): filter directory views
 .
 This package is part of the KDE base applications module.

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser,
Depends: dolphin,
         install-info,
         konqueror-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kfind, konqueror-doc, libkf6kcmutils-bin,
Suggests: konq-plugins,
Description: advanced file manager, web browser and document viewer
 Konqueror is KDE's Webbrowser and swiss-army-knife for any kind of
 file-management and file previewing.
 .
 Features:
 - Webbrowsing using KHTML or KDEWebKit as rendering engines
 - File management using most of Dolphin's features (including version-control,
   service menus and the basic UI)
 - File management on ftp and sftp servers
 - Full featured FTP-client (you can split views to display local and remote
   folders and previews in the same window)
 - Embedded applications to preview files (e.g. Okular and Calligra for
   documents, Gwenview for pictures, KTextEditor for text-files)
 - Different kinds of plugins: Service-menus, KParts (embedded applications),
   KIO (accessing files using special protocols like http or ftp) and
   KPart-plugins (like AdBlocker...)

Package: konqueror-data
Section: web
Architecture: all
Depends: ${misc:Depends},
Breaks: konqueror (<< 4:24.08.2-1~),
Replaces: konqueror (<< 4:24.08.2-1~),
Description: data files for Konqueror
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This package contains the architecture-independent data files of Konqueror.

Package: konqueror-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Breaks: konqueror (<< 4:24.08.2-1~),
Replaces: konqueror (<< 4:24.08.2-1~),
Description: user documentation for Konqueror
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This package contains the user documentation for Konqueror.

Package: libkonq-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6konq7 (= ${binary:Version}),
         libkf6konqsettings7 (= ${binary:Version}),
         ${misc:Depends},
Description: development files for the Konqueror libraries
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This package contains development files for building software that uses the
 Konqueror libraries.

Package: libkf6konq7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5konq6,
Replaces: libkf5konq6,
Description: core library for Konqueror
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This library contains some core features of konqueror that used to be shared
 with other KDE applications. It’s currently only used by Konqueror.

Package: libkf6konqsettings7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: settings management library for Konqueror
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This library contains the settings management features of Konqueror.

## konqueror 24.12.1

=== debian/changelog ===
konqueror (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)
  * Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:35:54 +0000

konqueror (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:16:48 +0000

konqueror (4:24.11.90-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:23:01 -0600

konqueror (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:11:44 +0000

konqueror (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 28 Nov 2024 21:06:03 +0000

konqueror (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:44:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: konqueror
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
+               dh-apparmor,
                dh-exec,
                dh-sequence-kf5,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libkf6archive-dev,
@@ -36,21 +38,21 @@
                libx11-dev,
                pkgconf,
                qt6-base-dev (>= 6.4.0~),
-               qt6-webengine-dev (>= 6.4.0~),
+               qt6-webengine-dev,
                zlib1g-dev,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/konqueror
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konqueror
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konqueror.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
 
 Package: konq-plugins
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: konqueror (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
 Enhances: konqueror,
 Recommends: imagemagick,
-Breaks: kget (<< 4:22.12.0-1), kio-extras-data (<< 4:24.08.0~),
-Replaces: kget (<< 4:22.12.0-1), kio-extras-data (<< 4:24.08.0~),
+Breaks: kget (<< 4:22.12.0-1),
+Replaces: kget (<< 4:22.12.0-1),
 Description: plugins for Konqueror, the KDE file/web/document browser
  This package contains a variety of useful plugins for Konqueror, the
  file manager, web browser and document viewer for KDE.  Many of these
@@ -86,14 +88,16 @@
 
 Package: konqueror
 Section: web
-Architecture: any
+Architecture: amd64 arm64 armhf
 Provides: info-browser, man-browser, www-browser,
-Depends: dolphin,
+Depends: konqueror-data (= ${source:Version}),
+         dolphin,
          install-info,
-         konqueror-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: kfind, konqueror-doc, libkf6kcmutils-bin,
+Recommends: kfind,
+            konqueror-doc,
+            libkf6kcmutils-bin,
 Suggests: konq-plugins,
 Description: advanced file manager, web browser and document viewer
  Konqueror is KDE's Webbrowser and swiss-army-knife for any kind of
@@ -115,9 +119,9 @@
 Package: konqueror-data
 Section: web
 Architecture: all
-Depends: ${misc:Depends},
-Breaks: konqueror (<< 4:24.08.2-1~),
-Replaces: konqueror (<< 4:24.08.2-1~),
+Depends: ${misc:Depends}
+Breaks: konqueror (<< 4:24.08.2-1~)
+Replaces: konqueror (<< 4:24.08.2-1~)
 Description: data files for Konqueror
  Konqueror is the KDE web browser and an advanced file manager.
  .
@@ -126,9 +130,9 @@
 Package: konqueror-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends},
-Breaks: konqueror (<< 4:24.08.2-1~),
-Replaces: konqueror (<< 4:24.08.2-1~),
+Depends: ${misc:Depends}
+Breaks: konqueror (<< 4:24.08.2-1~)
+Replaces: konqueror (<< 4:24.08.2-1~)
 Description: user documentation for Konqueror
  Konqueror is the KDE web browser and an advanced file manager.
  .
@@ -136,7 +140,7 @@
 
 Package: libkonq-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armhf
 Multi-Arch: same
 Depends: libkf6konq7 (= ${binary:Version}),
          libkf6konqsettings7 (= ${binary:Version}),
@@ -149,7 +153,7 @@
 
 Package: libkf6konq7
 Section: libs
-Architecture: any
+Architecture: amd64 arm64 armhf
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libkf5konq6,
@@ -162,7 +166,7 @@
 
 Package: libkf6konqsettings7
 Section: libs
-Architecture: any
+Architecture: amd64 arm64 armhf
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: settings management library for Konqueror
